package com.ibtp.kontor.comics.entity;


import org.bson.types.ObjectId;
import org.mongodb.morphia.annotations.Id;
import org.mongodb.morphia.annotations.Reference;

/**
 * Created by thomas on 01.03.16.
 */
public class TradePaperback {

    @Id
    private ObjectId id;

    @Reference
    private Comic comic;

    @Reference
    private String issue_start;

    @Reference
    private String issue_end;

    public ObjectId getId() {
        return id;
    }

    public void setId(ObjectId id) {
        this.id = id;
    }

    public Comic getComic() {
        return comic;
    }

    public void setComic(Comic comic) {
        this.comic = comic;
    }

    public String getIssue_start() {
        return issue_start;
    }

    public void setIssue_start(String issue_start) {
        this.issue_start = issue_start;
    }

    public String getIssue_end() {
        return issue_end;
    }

    public void setIssue_end(String issue_end) {
        this.issue_end = issue_end;
    }
}
